Version 6.x.x Source

Table Name: `tabLeave Type`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `leave_type_name` | Data | Leave Type Name |
2 | `max_days_allowed` | Data | Max Days Leave Allowed |
3 | `is_carry_forward` | Check | Is Carry Forward |
4 | `is_encash` | Check | Is Encash |
5 | `is_lwp` | Check | Is Leave Without Pay |
6 | `allow_negative` | Check | Allow Negative Balance |
7 | `include_holiday` | Check | Include holidays within leaves as leaves |

### Controller

#### erpnext.hr.doctype.leave_type.leave_type

### Class LeaveType

Inherits from frappe.model.document.Document

#### Linked In:

- Attendance
- Leave Allocation
- Leave Application
- Leave Control Panel